/* 
 * CellInfo.java
 *
 * Copyright 2003, Leigh L. Klotz, Jr..  All Rights Reserved.
 *   Email: klotz@graflex.org
 *     Web: http: //www.graflex.org/klotz
 *
 * {LICENSE}
 */
package com.hipme.cellinfo;

import danger.app.*;
import danger.ui.*;
import danger.net.*;
import danger.util.*;
import danger.util.DEBUG;
import danger.system.Bitmaps;

public class CellListView extends ListView {
  private Bitmap mCheckedIcon;
  private Bitmap mMarkedIcon;

  public CellListView() {
    super();
    setHasScrollbar(true);
    setComparator(new CellListComparator());
    setInsertSorted(true);
    mCheckedIcon = Bitmaps.get(-7090); // ??
    mMarkedIcon = Bitmaps.get(-7260); // ??
  }

  protected void drawItem(Pen pen ,Rect rect ,MenuItem menuItem ,boolean selected) {
    Rect newRect = new Rect(rect);
    int checkMarkOffset = 6;
    newRect.left += checkMarkOffset + 2;

    super.drawItem(pen, newRect, menuItem, selected);
    if (menuItem.isMarked() && mMarkedIcon != null) {
      pen.drawBitmap(checkMarkOffset,
		     (rect.top + rect.bottom) / 2 - mMarkedIcon.getHeight() / 2 , 
		     mMarkedIcon,
		     (selected && mMarkedIcon.canDrawInverted()) ? true:false );
    }
    if (menuItem.isChecked() && mCheckedIcon != null) {
      pen.drawBitmap(checkMarkOffset,
		     (rect.top + rect.bottom) / 2 - mCheckedIcon.getHeight() / 2 , 
		     mCheckedIcon,
		     (selected && mCheckedIcon.canDrawInverted()) ? true:false );
    }
  }

}
