package com.hipme.cellinfo;

import java.util.Comparator;
import danger.ui.MenuItem;

class CellListComparator implements Comparator{

  public int compare(Object object1 ,Object object2) {
    MenuItem menuItem1 = (MenuItem)object1;
    MenuItem menuItem2 = (MenuItem)object2;
    Record record1 = (Record)(menuItem1.getEventArg());
    Record record2 = (Record)(menuItem2.getEventArg());

    // Sort same tower/antenna together.
    int i = record1.getCID().compareToIgnoreCase(record2.getCID());
    if (i != 0) return i;
    // Cell towers at top for same antenna.
    if (record1.isTowerLocation()) return -1; // don't worry about sort of multiple tower locations
    int a = record1.getASU();
    int b = record2.getASU();
    if (a < b) return 1;
    if (a > b) return -1;
    int j = record1.getState().compareToIgnoreCase(record2.getState());
    if (j != 0) return j;
    int k = record1.getCity().compareToIgnoreCase(record2.getCity());
    if (k != 0) return k;
    int z = record1.getZip().compareToIgnoreCase(record2.getZip());
    if (z != 0) return z;
    int l = record1.getAddress().compareToIgnoreCase(record2.getAddress());
    if (l != 0) return k;
    return menuItem1.getTitle().compareToIgnoreCase(menuItem2.getTitle());
  }
}
