// Copyright 2003 Leigh L. Klotz, Jr.

package com.hipme.cellinfo;

import danger.app.Application;
// import danger.ui.TypeAheadTextField;
import danger.ui.MenuItem;
import java.util.Vector;
import java.util.Hashtable;


public abstract class MatchingTextField extends danger.ui.TypeAheadTextField {
  // If we don't set the listener to null, then events go around and around
  // and we get multiple RETURNs in forms, and in the simulator, if you
  // press WHEEL it goes into an infinite loop.
  public void setListener(danger.ui.View view) {
    super.setListener(null);
  }
  public MatchingTextField(final String keyName) {
    super(new MyTextFinder() {
	protected Vector matches(String inKey) {
	  Vector result = new Vector();
	  Hashtable seen = new Hashtable();
	  MainWindow m = ((CellInfo)Application.getCurrentApp()).mainWindow;
	  // Really ought to get these from the datastore instead,
	  // or at least if mainWindow.showAllTowers==false.
	  CellListView listView = m.listView;
	  int nRecords = listView.itemCount();
	  for (int i = 0; i < nRecords; i++) {
	    MenuItem item = listView.getItem(i);
	    Record record = (Record)(item.getEventArg());
	    String value = record.getString(keyName);
	    if (value!= null && !seen.containsKey(value)) {
	      seen.put(value, value);
	      if (value.startsWith(inKey))
		result.addElement(new MenuItem(value));
	    }
	  }
	  return result;
	}
      });
  }
}

